Debian Bug report logs - #663664
dialog: --single-quote broken

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: "Ph. Marek" <philipp.marek@linbit.com>

Date: Tue, 13 Mar 2012 07:51:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version dialog/1.1-20120215-1

Fixed in version dialog/1.2-20121230-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, philipp.marek@linbit.com, Santiago Vila <sanvila@debian.org>:
Bug#663664; Package dialog. (Tue, 13 Mar 2012 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ph. Marek" <philipp.marek@linbit.com>:
New Bug report received and forwarded. Copy sent to philipp.marek@linbit.com, Santiago Vila <sanvila@debian.org>. (Tue, 13 Mar 2012 07:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Ph. Marek" <philipp.marek@linbit.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: --single-quote broken
Date: Tue, 13 Mar 2012 08:46:25 +0100
Package: dialog
Version: 1.1-20120215-1
Severity: normal

Given this commandline:

    dialog --stdout --single-quoted --checklist 'select' 22 70 14 a-1 a-1 1 a-2
a-2 1

choosing options gives a result like

    'a-1' 'a-2'

which is broken, because the man page says

    --single-quoted
    Use single-quoting as needed (and no quotes if unneeded)


dialog=1.1-20100428-1 (lenny) does this correct; it gives

    a-1 a-2


The extra level of quotes means that
    VER=`dialog ...`
    case $VER in
        a-1)

etc. doesn't work anymore.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dialog depends on:
ii  debianutils   4.2.1
ii  libc6         2.13-27
ii  libncursesw5  5.9-4
ii  libtinfo5     5.9-4

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. (Tue, 13 Mar 2012 10:51:16 GMT) Full text and rfc822 format available.

Message #8 received at 663664-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 663664-forwarded@bugs.debian.org, "Ph. Marek" <philipp.marek@linbit.com>
Subject: Bug#663664: dialog: --single-quote broken (fwd)
Date: Tue, 13 Mar 2012 11:46:30 +0100 (CET)
Hello. Received this from the Debian BTS.

[ I know that you might have already received it. This is so that it's
  marked as forwarded in the BTS. Thanks ].

---------- Forwarded message ----------
From: Ph. Marek <philipp.marek@linbit.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Tue, 13 Mar 2012 08:46:25 +0100
Subject: Bug#663664: dialog: --single-quote broken

Package: dialog
Version: 1.1-20120215-1
Severity: normal

Given this commandline:

    dialog --stdout --single-quoted --checklist 'select' 22 70 14 a-1 a-1 1 a-2
a-2 1

choosing options gives a result like

    'a-1' 'a-2'

which is broken, because the man page says

    --single-quoted
    Use single-quoting as needed (and no quotes if unneeded)


dialog=1.1-20100428-1 (lenny) does this correct; it gives

    a-1 a-2


The extra level of quotes means that
    VER=`dialog ...`
    case $VER in
        a-1)

etc. doesn't work anymore.

[...]




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#663664; Package dialog. (Sat, 30 Jun 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sat, 30 Jun 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #13 received at 663664@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 663664@bugs.debian.org
Cc: 663664-submitter@bugs.debian.org
Subject: re: #663664 dialog: --single-quote broken
Date: Fri, 29 Jun 2012 20:58:10 -0400
[Message part 1 (text/plain, inline)]
There's a problem with the report:

>dialog=1.1-20100428-1 (lenny) does this correct; it gives
>
>    a-1 a-2

I checked the history of the relevant code (dlg_add_quoted in util.c and
call_checklist in dialog.c) and see that I added the quoting feature in
mid-2008 - in its present form.

I just verified that there was no other factor that I'm overlooking by
recompiling 20100428 and running the example with that - and get
single-quoting for the output.

I also have Lenny running - it uses 1.1-20080316 (preceding the
quoting change).

However, something changed (not when the report says it did).

The particular change that appears to be of concern is the change
in dialog.c:

REV:1.174               dialog.c            2008/08/19 23:21:36       tom
tags:            t20100113a, t20100113, t20100112, t20100110, t20080819

   override the dialog_vars.quoted for checklist to set it true if there's
   no --separate-output

--- dialog.c	2008/06/21 12:25:13	1.173
+++ dialog.c	2008/08/19 23:21:36	1.174
@@ -1,5 +1,5 @@
 /*
- * $Id: dialog.c,v 1.172 2008/06/20 21:28:41 tom Exp $
+ * $Id: dialog.c,v 1.173 2008/06/21 12:25:13 tom Exp $
  *
  *  cdialog - Display simple dialog boxes from shell scripts
  *
@@ -761,7 +761,7 @@
     int code;
     bool save_quoted = dialog_vars.quoted;
 
-    dialog_vars.quoted = TRUE;
+    dialog_vars.quoted = !dialog_vars.separate_output;
     *offset_add = 5 + tags * CHECKBOX_TAGS;
     code = dialog_checklist(t,
 			    av[1],

At the moment I'm mulling over that change, to recall why it was needed.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to "Ph. Marek" <philipp.marek@linbit.com>:
Bug#663664. (Sat, 30 Jun 2012 01:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#663664; Package dialog. (Mon, 31 Dec 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 31 Dec 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 663664@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 663664@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: #663664 dialog: --single-quote broken
Date: Sun, 30 Dec 2012 20:41:12 -0500
[Message part 1 (text/plain, inline)]
tags 663664 fixed-upstream

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 31 Dec 2012 01:45:07 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Sun, 12 May 2013 17:06:11 GMT) Full text and rfc822 format available.

Notification sent to "Ph. Marek" <philipp.marek@linbit.com>:
Bug acknowledged by developer. (Sun, 12 May 2013 17:06:11 GMT) Full text and rfc822 format available.

Message #28 received at 663664-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 663664-close@bugs.debian.org
Subject: Bug#663664: fixed in dialog 1.2-20121230-1
Date: Sun, 12 May 2013 17:02:39 +0000
Source: dialog
Source-Version: 1.2-20121230-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663664@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 May 2013 18:10:00 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.2-20121230-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 663664 684933
Changes: 
 dialog (1.2-20121230-1) unstable; urgency=low
 .
   * New upstream release.
   * Dropped patches/01-fix-for-ubuntu-bug-333909. Applied upstream.
   * Dropped patches/99-config-guess-config-sub. Obsolete now.
   * Double-quoting is now more consistent. Closes: #663664.
   * The way "hotkeys" are assigned to widget buttons has been
     improved. Closes: #684933.
Checksums-Sha1: 
 8736876d44ab05be5f7f1343a9ff85b199ae2852 1423 dialog_1.2-20121230-1.dsc
 f6ba16481e04c707c7cbfc3c3c1340040bdb0aa3 431584 dialog_1.2-20121230.orig.tar.gz
 e6d2e3c2c7b33efbac1b566813d224c35faa676a 10874 dialog_1.2-20121230-1.debian.tar.gz
 4d2b95b7dc7cdb265c86935ca3fde240aa1b6ffc 357984 dialog_1.2-20121230-1_amd64.deb
Checksums-Sha256: 
 c2cfef0c11d458aaff7d37f64ba4691d4df195bd520f57ab1eb42f7452fa9cab 1423 dialog_1.2-20121230-1.dsc
 1fb4ea11ceba8f105c2c6b48186bf715d98a144a738653627d7bf2bd12e21034 431584 dialog_1.2-20121230.orig.tar.gz
 03dd5606d394ecf59c0c48b694dbc74560794ae382857354dd2be9aa4e17cdeb 10874 dialog_1.2-20121230-1.debian.tar.gz
 68db7a292d324db87d21d9192240baaa80ee96011f83e9c8fcf1d307d091dd37 357984 dialog_1.2-20121230-1_amd64.deb
Files: 
 9805393e2a602e650ec767545e8bf7b9 1423 misc optional dialog_1.2-20121230-1.dsc
 ef823b46a68d82c42620b42ffc0c04e7 431584 misc optional dialog_1.2-20121230.orig.tar.gz
 df84031c8f22e0a1ef8f98dc28bfc4fb 10874 misc optional dialog_1.2-20121230-1.debian.tar.gz
 c77505ed54fd249d0cfb6dc58f8c8411 357984 misc optional dialog_1.2-20121230-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRj8a+AAoJEEHOfwufG4syQ/sIAIp+9yKLdoA3SAHt3Vyc4uQv
fCrXhsuW+mDKkrcEniMjnrGbT8cKqKmiLxSsRCQkg1iJiNgHjPsakke61yfOJ61c
axtuqOq1CZJL2aveeiW8NduwERrZHyuApE0zQM30419WXY6TdkozzKkuDSLvs96i
m7oWvDxxneezb1jSMxYQYS93/wJLZQnLf3DzLr2vC9+gg2O0LCPqX7ttxXjKq0+C
5kk7TF2f/SAHOflBJw0IQSeHJDUd5nmExJDVGJMEMTRfgNzySYjhUJ0/22Fzxcdc
72SVZog78EEEK4+xAN5Jq23m9re7zWrBgjPfa5dO1FPWOaWRCpSlkp5s+f4bq9w=
=w7gW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jun 2013 07:29:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:20:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.